import { declare } from '@babel/helper-plugin-utils';
import { types } from '@babel/core';

var index = declare(api => {
  api.assertVersion("8.0.0-alpha.15");
  return {
    name: "proposal-throw-expressions",
    manipulateOptions: (_, parser) => parser.plugins.push("throwExpressions"),
    visitor: {
      UnaryExpression(path) {
        const {
          operator,
          argument
        } = path.node;
        if (operator !== "throw") return;
        const arrow = types.functionExpression(null, [types.identifier("e")], types.blockStatement([types.throwStatement(types.identifier("e"))]));
        path.replaceWith(types.callExpression(arrow, [argument]));
      }
    }
  };
});

export { index as default };
//# sourceMappingURL=index.js.map
